Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003889TestLinkTest Plan (builds, milestones, test assign)public2010-10-12 18:502011-03-18 19:08
Reportercolross 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSRHEL5OS Version
Product Version1.9 RC 1 
Fixed in Version1.9 (Prague) 
Summary0003889: Add Test Cases to Test plan - Right pane shows all test cases of a test suite and does not consider test cases of filtered tree
DescriptionIn bug 0003546, a request was put in to create a regression testplan based upon an already existing testplan. The solution was:
1. Define and Assign Custom Field for Test Cases
2. Create new test plan
3. Open Add/Remove test cases page
4. Filter tree by custom field
5. add filtered test cases

The issue is that in the RC1 release, the testcases are not filtered, and I can not create a testplan based upon this filter.
Steps To Reproduce1. Define and Assign Custom Field for Test Cases
2. Create new test plan
3. Open Add/Remove test cases page
In the "Filters" section, choose a your required filter.
This seems only to affect the reporting of the number of tests in the LH Panel - It does not filter the displayed tests for adding.
Additional InformationCustom Filter:
Name REG
Label Regression
Available for Test Case
Type radio
Possible values Yes|No
Enable on Test Spec Design
Display on Yes
test execution


I have included 2 screen captures.
SC1 shows that I want to filter based on the "Regression" custom field being set to "Yes"
The tree shows (1) test matches, however all 3 tests are available.
SC2 shows that I want to filter based on the "Regression" custom field being set to "No"
The tree shows (2) tests match, however all 3 tests are available.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.1.38-1
BrowserChrome 6.0.472.63
PHP Version5.2.10-1
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon SC1.png [^] (108,921 bytes) 2010-10-12 18:50


png file icon SC2.png [^] (110,515 bytes) 2010-10-12 18:50


png file icon no_filter.png [^] (70,991 bytes) 2010-11-22 22:44


png file icon with_filter.png [^] (52,458 bytes) 2010-11-22 22:45

- Relationships
related to 0003995closedamitkhullar Custom Field Filters in Test case Execution : Dont Work 
child of 0004024closedamitkhullar Add Test Case to Test Plan gives sql error on filtering the test cases on custom field value 

-  Notes
(0011884)
Julian (reporter)
2010-10-13 19:50

test cases are filtered - but only on tree.
main frame is not effected.

this works for test case execution assignment.

as add test cases and execution assignment use different code this will be a change with high effort.
(0012077)
Julian (reporter)
2010-10-26 10:04

issue 3889 is not fixed in my eyes what users wants is:

1. create testsuite with 2 test cases "case1" and "case2"
2. go to add/remove test cases page
3. filter by test case title "case1" -> on tree there is only 1 test case
left (see number next to test suite name)
4. click on test suite -> "case1" AND "case2" are displayed and can be
added -> user expects that only "case1" is shown

Compare to "assign test case execution":
1. create testsuite with 2 test cases "case1" and "case2"
2. go to assign test case execution page
3. filter by test case title "case1" -> on tree there is only 1 test case left
4. click on test suite -> ONLY "case1" is shown

-> user wants same behaviour for "add tc to plan" and "assign tc exec"
(0012089)
fman (administrator)
2010-10-26 18:30

commited code with following filters
1. test case ID
2. test case name
(0012485)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released
(0012709)
colross (reporter)
2010-11-22 22:42

Attempted to test in 1.9 Released.
This appears to not work still.
Adding more screenshots
(0012710)
colross (reporter)
2010-11-22 22:47
edited on: 2010-11-22 23:37

I have added 2 screenshots:
no_filter
This shows that there are no filters applied. All tests show as expected.
with_filter
This shows that I have applied a filter by custom field. The left hand pane shows that the filter has worked (shows 1 test that matches the filter), however, the right pane shows no tests to select.

(0012711)
fman (administrator)
2010-11-23 05:49

1. with the original steps to reproduce provided what is the result?
2. Please in addition to uploads images, always give detailed step by step to reproduce
(0012715)
colross (reporter)
2010-11-23 14:13

My appologies. My assumption was that I re-opened the same bug, therefore the same steps that failed originally still fail. Steps to reproduce are as per the original steps to reproduce:

1. Define and Assign Custom Field for Test Cases
2. Create new test plan
3. Open Add/Remove test cases page
In the "Filters" section, choose a your required filter.

The only difference (as per the screen capture) is that I now see no tests, as opposed to seeing them all after the filter has been applied.
(0012887)
pkucka (reporter)
2010-12-07 12:57

I’m seeing the same problem in 1.9. Filtering by Custom Field in Add/Remove Test Cases page doesn’t work as it should.
What observation I’d like to add here, is that in Add/Remove Test Cases page filtering by Keywords works as expected. It would be great if filtering by Custom Field did the same.
(0012888)
fman (administrator)
2010-12-07 13:49

@pkucka
Only thing we need are facts => give us detailed steps to reproduce instead of comments like this:
>> It would be great if filtering by Custom Field did the same.
that are absolutely useless.
is pretty obvious that filter has to work properly.
(0012900)
amitkhullar (reporter)
2010-12-08 06:49

i think this has been fixed by me and should be available on 1.9.1
(0012903)
fman (administrator)
2010-12-08 09:10

@Amit:
fixed or not ? issue number ?
we need to know all these to avoid wasting time on resolved issues
(0012908)
amitkhullar (reporter)
2010-12-08 10:26

I fixed 4024 which as per me should resolve this issue also. I am not facing any probs as of now as mentioned by user. Probably u can test also once and close this.
(0012912)
fman (administrator)
2010-12-08 11:37
edited on: 2010-12-08 11:38

OK thanks, I will point user to get fix on 4024

Please attach code with fix on 4024

(0012936)
fman (administrator)
2010-12-10 11:22

@amit:
please the fix attached
(0012939)
amitkhullar (reporter)
2010-12-10 11:55

Please use the fixes for both 3995 and 4024 to fix the problem for custom filters across the application. Attaching on both the issues.
(0012940)
amitkhullar (reporter)
2010-12-10 12:01

Let us know if the problem gets fixed after applying the patches
(0013037)
fman (administrator)
2010-12-19 16:14

Please give us some feedback
(0013056)
user5294
2010-12-21 15:24

3995 + 4024 fixed this bug for me, thanks
(0014020)
fman (administrator)
2011-03-18 19:08

release - 1.9.2 - 20110320

- Issue History
Date Modified Username Field Change
2010-10-12 18:50 colross New Issue
2010-10-12 18:50 colross File Added: SC1.png
2010-10-12 18:50 colross File Added: SC2.png
2010-10-13 19:50 Julian Note Added: 0011884
2010-10-24 10:44 fman Assigned To => fman
2010-10-24 10:44 fman Status new => assigned
2010-10-24 16:42 fman Category Test Project Management => Test Plan (builds, milestones, test assign)
2010-10-24 16:42 fman Summary Unable to add tests based on custom field filter. => Add Test Cases to Test paln - Unable to add tests based on custom field filter.
2010-10-24 16:43 fman Issue cloned: 0003936
2010-10-24 16:44 fman Summary Add Test Cases to Test paln - Unable to add tests based on custom field filter. => Add Test Cases to Test plan - Right pane does not honor custom field filter.
2010-10-25 20:42 fman Status assigned => resolved
2010-10-25 20:42 fman Fixed in Version => 1.9 (Prague)
2010-10-25 20:42 fman Resolution open => fixed
2010-10-26 10:04 Julian Note Added: 0012077
2010-10-26 10:04 Julian Status resolved => assigned
2010-10-26 10:04 Julian Resolution fixed => reopened
2010-10-26 10:05 Julian Summary Add Test Cases to Test plan - Right pane does not honor custom field filter. => Add Test Cases to Test plan - Right pane shows all test cases of a test suite and does not consider test cases of filtered tree
2010-10-26 18:30 fman Note Added: 0012089
2010-10-26 18:30 fman Status assigned => feedback
2010-11-06 14:13 fman Status feedback => resolved
2010-11-06 14:13 fman Resolution reopened => fixed
2010-11-14 12:07 fman Note Added: 0012485
2010-11-14 12:07 fman Status resolved => closed
2010-11-22 22:42 colross Note Added: 0012709
2010-11-22 22:42 colross Status closed => assigned
2010-11-22 22:42 colross Resolution fixed => reopened
2010-11-22 22:44 colross File Added: no_filter.png
2010-11-22 22:45 colross File Added: with_filter.png
2010-11-22 22:47 colross Note Added: 0012710
2010-11-22 23:36 colross Note Edited: 0012710 View Revisions
2010-11-22 23:37 colross Note Edited: 0012710 View Revisions
2010-11-23 05:49 fman Note Added: 0012711
2010-11-23 06:30 amitkhullar Relationship added child of 0004024
2010-11-23 14:13 colross Note Added: 0012715
2010-12-07 12:57 pkucka Note Added: 0012887
2010-12-07 13:49 fman Note Added: 0012888
2010-12-08 06:49 amitkhullar Note Added: 0012900
2010-12-08 09:10 fman Note Added: 0012903
2010-12-08 10:26 amitkhullar Note Added: 0012908
2010-12-08 11:37 fman Note Added: 0012912
2010-12-08 11:38 fman Note Edited: 0012912 View Revisions
2010-12-10 11:22 fman Note Added: 0012936
2010-12-10 11:55 amitkhullar Note Added: 0012939
2010-12-10 11:56 amitkhullar Relationship added related to 0003995
2010-12-10 12:01 amitkhullar Note Added: 0012940
2010-12-19 16:14 fman Note Added: 0013037
2010-12-19 16:14 fman Status assigned => feedback
2010-12-21 15:24 user5294 Note Added: 0013056
2010-12-21 16:31 fman Status feedback => resolved
2010-12-21 16:31 fman Resolution reopened => fixed
2011-03-18 19:08 fman Note Added: 0014020
2011-03-18 19:08 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker